/* SPDX-License-Identifier: GPL-2.0-only */


#ifndef SLATECOM_INTF_H
#define SLATECOM_INTF_H

#include <linux/notifier.h>

enum slate_submodule_state {
	DSP_ERROR,
	DSP_READY,
	BT_ERROR,
	BT_READY,
};


#if IS_ENABLED(CONFIG_MSM_SLATECOM_INTERFACE)

void *slatecom_register_notifier(struct notifier_block *nb);
int slatecom_unregister_notifier(void *handle, struct notifier_block *nb);

#else

static inline void *slatecom_register_notifier(struct notifier_block *nb)
{
	return ERR_PTR(-ENODEV);
}

static inline int slatecom_unregister_notifier(void *handle,
						struct notifier_block *nb)
{
	return -ENODEV;
}

#endif 

#endif 
